

this.name               = "SIRF_populator";
this.author               = "Tinker, based on code by Thargoid and Svengali";
this.copyright            = "Creative Commons: attribution, non-commercial, sharealike";
this.description         = "Script to add SIRF stations to certain systems";
this.version            = "2.4";
"use strict";

this.shipWillLaunchFromStation = function()
	{
	this.shipWillExitWitchspace();
	delete this.shipLaunchedFromStation;
	}

this.shipWillExitWitchspace = function()
	{
	if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova || system.government < 3 || system.techLevel < 7 || system.techLevel > 13 || system.countShipsWithRole("SIRF-YARD") > 0)
	{ return; }

	var a = system.addShips("SIRF-YARD",1,system.mainPlanet.position.multiply(-1.5),10000)[0];
	if(a){
		var i=Math.max((a.entityPersonality&7),1),p;
		while(i--){
			p = Vector3D.random(22000);
			if((i>>1)) system.addShips("trader",1,a.position.add(p),500);
			if(((i&2)>>1)) system.addShips("pirate",1,a.position.add(p),500);
			if((i&1)===1) system.addShips("police",1,a.position.add(p),500);
			}
		}
	}